Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.conditions
Class ConditionsTableTransferHandler

    java.lang.Object
      javax.swing.TransferHandler
          edu.stanford.smi.protegex.owl.ui.owltable.OWLTableTransferHandler
              edu.stanford.smi.protegex.owl.ui.conditions.ConditionsTableTransferHandler

All Implemented Interfaces:
  ConditionsTableConstants, Serializable

    public class ConditionsTableTransferHandler

extends OWLTableTransferHandler
implements ConditionsTableConstants

An OWLTableTransferHandler that does not assume that the class maintain their rows after changing something.

Author:
  Holger Knublauch
See Also:
  Serialized Form

Field Summary
`Transferable` | `recentTransferable` Debugging only

Fields inherited from class edu.stanford.smi.protegex.owl.ui.owltable.OWLTableTransferHandler
`rows`

Fields inherited from class javax.swing.TransferHandler
`COPY, COPY_OR_MOVE, MOVE, NONE`

Fields inherited from interface edu.stanford.smi.protegex.owl.ui.conditions.ConditionsTableConstants
`COL_COUNT, COL_EXPRESSION, TYPE_DEFINITION_BASE, TYPE_INHERITED, TYPE_SUPERCLASS`

Constructor Summary
`ConditionsTableTransferHandler(OWLModel owlModel)`

Method Summary
`protected boolean` | `addRow(OWLTableModel tableModel, RDFSClass clone, int index)`
`void` | `cleanup(JComponent c, boolean remove)`
`void` | `exportAsDrag(JComponent comp, InputEvent e, int action)`
`protected Transferable` | `exportOWLClses(JComponent c)`
`void` | `exportToClipboard(JComponent comp, Clipboard clip, int action)`
`protected int` | `importOWLClses(JComponent c, String clsesText)`

Methods inherited from class edu.stanford.smi.protegex.owl.ui.owltable.OWLTableTransferHandler
`canImport, createTransferable, exportDone, getRootCls, getSourceActions, importData`

Methods inherited from class javax.swing.TransferHandler
`getCopyAction, getCutAction, getPasteAction, getVisualRepresentation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### recentTransferable

    public Transferable recentTransferable

  Debugging only

Constructor Detail

### ConditionsTableTransferHandler

    public ConditionsTableTransferHandler(OWLModel owlModel)

Method Detail

### addRow

    protected boolean addRow(OWLTableModel tableModel,
                             RDFSClass clone,
                             int index)

  Overrides:
    `addRow` in class `OWLTableTransferHandler`

### cleanup

    public void cleanup(JComponent c,
                        boolean remove)

  Overrides:
    `cleanup` in class `OWLTableTransferHandler`

### exportAsDrag

    public void exportAsDrag(JComponent comp,
                             InputEvent e,
                             int action)

  Overrides:
    `exportAsDrag` in class `TransferHandler`

### exportToClipboard

    public void exportToClipboard(JComponent comp,
                                  Clipboard clip,
                                  int action)

  Overrides:
    `exportToClipboard` in class `TransferHandler`

### exportOWLClses

    protected Transferable exportOWLClses(JComponent c)

  Overrides:
    `exportOWLClses` in class `OWLTableTransferHandler`

### importOWLClses

    protected int importOWLClses(JComponent c,
                                 String clsesText)

  Overrides:
    `importOWLClses` in class `OWLTableTransferHandler`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.